/*
 * PWM.h
 *
 *  Created on: 14 janv. 2019
 *      Author: e_rcluze
 */

#ifndef PWM_H_
#define PWM_H_

#include "RTC.h"
#include "tim.h"
#include "Heure.h"
#include "Tab.h"

#define S0 0X00
#define S1 0X01
#define S2 0X02
#define S3 0X03
#define S4 0X04
#define S5 0X05
#define S6 0X06
#define S7 0X07
#define S8 0X08
#define S9 0X09


#define PWM_MAX 31250-1

void PWMSetDutyCycle(uint8_t sortie, uint8_t pourcentage);

void PWMStart(uint8_t sortie);

uint16_t PourcentageToValue(uint8_t val);

uint16_t PWMValue();

uint8_t PWMPourcentage(Heure *heure, Sortie *sortie);

uint8_t PWMPourcentageReprise(Heure *Hrepr, Heure *heure, Sortie *sortie);

#endif /* PWM_H_ */
